#ifndef BISON_PGC_LEXER_H
# define BISON_PGC_LEXER_H

#ifndef YYSTYPE
typedef union {
  int intval;
  double floatval;
  char *stringval;
  struct pgc_parse_tree *treenode;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif

#ifndef YYLTYPE
typedef struct yyltype
{
  int first_line;
  int first_column;

  int last_line;
  int last_column;
} yyltype;

# define YYLTYPE yyltype
# define YYLTYPE_IS_TRIVIAL 1
#endif

# define	PGC_LEX_INT	257
# define	PGC_LEX_FLOAT	258
# define	PGC_LEX_STRING	259
# define	PGC_LEX_NIL	260
# define	PGC_LEX_LPAREN	261
# define	PGC_LEX_RPAREN	262
# define	PGC_LEX_RBRACK	263
# define	PGC_LEX_ERROR	264
# define	PGC_LEX_ERROR_EOF	265
# define	PGC_LEX_IF	266
# define	PGC_LEX_ELSE	267
# define	PGC_LEX_FOREACH	268
# define	PGC_LEX_IN	269
# define	PGC_LEX_COMMA	270
# define	PGC_LEX_DOT	271
# define	PGC_LEX_SEMICOLON	272
# define	PGC_LEX_IDENTIFIER	273
# define	PGC_LEX_LBRACK	274
# define	PGC_LEX_WHILE	275
# define	PGC_LEX_DO	276
# define	PGC_LEX_ASSIGN	277
# define	PGC_LEX_BINOP_NEQ	278
# define	PGC_LEX_BINOP_EQ	279
# define	PGC_LEX_BINOP_LT	280
# define	PGC_LEX_BINOP_GT	281
# define	PGC_LEX_BINOP_LTE	282
# define	PGC_LEX_BINOP_GTE	283
# define	PGC_LEX_BINOP_PLUS	284
# define	PGC_LEX_BINOP_MINUS	285
# define	PGC_LEX_BINOP_MULT	286
# define	PGC_LEX_BINOP_DIV	287
# define	PGC_LEX_BINOP_MOD	288
# define	PGC_LEX_BINOP_POWER	289


extern YYSTYPE yylval;

#endif /* not BISON_PGC_LEXER_H */
